org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class GroupTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupTest.Traversals

- Enclosing class:
    GroupTest

      public static class GroupTest.Traversals
      extends GroupTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupTest

      `GroupTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<Integer,Collection<Vertex>>>` | `get_g_V_group_byXageX()`
    `Traversal<Vertex,Map<Long,Map<String,List<Vertex>>>>` | `get_g_V_group_byXbothE_countX_byXgroup_byXlabelXX()`
    `Traversal<Vertex,Map<String,Number>>` | `get_g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_group_byXlabelX_byXlabel_countX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_group_byXname_substring_1X_byXconstantX1XX()`
    `Traversal<Vertex,Map<String,Collection<Vertex>>>` | `get_g_V_group_byXnameX_by()`
    `Traversal<Vertex,Map<String,Collection<Vertex>>>` | `get_g_V_group_byXnameX()`
    `Traversal<Vertex,Map<Long,Collection<String>>>` | `get_g_V_group_byXoutE_countX_byXnameX()`
    `Traversal<Vertex,Map<String,Number>>` | `get_g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX()`
    `Traversal<Vertex,Map<String,Collection<Vertex>>>` | `get_g_V_groupXaX_byXnameX_capXaX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX()`
    `Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX()`
    `Traversal<Vertex,Map<String,Map<String,Long>>>` | `get_g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX()`
    `Traversal<Vertex,Map<String,Map<String,Long>>>` | `get_g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_hasXlangX_group_byXlangX_byXcountX()`
    `Traversal<Vertex,Map<String,Collection<String>>>` | `get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()`
    `Traversal<Vertex,String>` | `get_g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X()`
    `Traversal<Vertex,Map<String,Map<String,Number>>>` | `get_g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX()`
    `Traversal<Vertex,Map<String,Map<Object,Object>>>` | `get_g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX()`
    `Traversal<Vertex,Map<String,List<Object>>>` | `get_g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX(Map<String,List<Object>> m)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupTest

      `g_V_group_byXageX, g_V_group_byXbothE_countX_byXgroup_byXlabelXX, g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX, g_V_group_byXlabelX_byXlabel_countX, g_V_group_byXname_substring_1X_byXconstantX1XX, g_V_group_byXnameX_by, g_V_group_byXnameX, g_V_group_byXoutE_countX_byXnameX, g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX, g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX, g_V_groupXaX_byXnameX_capXaX, g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX, g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX, g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX, g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX, g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX, g_V_hasXlangX_group_byXlangX_byXcountX, g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX, g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X, g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX, g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX, g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX, g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX, g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX, g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_group_byXnameX

          public Traversal<Vertex,Map<String,Collection<Vertex>>> get_g_V_group_byXnameX()

      Specified by:
        `get_g_V_group_byXnameX` in class `GroupTest`

    - #### get_g_V_group_byXageX

          public Traversal<Vertex,Map<Integer,Collection<Vertex>>> get_g_V_group_byXageX()

      Specified by:
        `get_g_V_group_byXageX` in class `GroupTest`

    - #### get_g_V_group_byXnameX_by

          public Traversal<Vertex,Map<String,Collection<Vertex>>> get_g_V_group_byXnameX_by()

      Specified by:
        `get_g_V_group_byXnameX_by` in class `GroupTest`

    - #### get_g_V_groupXaX_byXnameX_capXaX

          public Traversal<Vertex,Map<String,Collection<Vertex>>> get_g_V_groupXaX_byXnameX_capXaX()

      Specified by:
        `get_g_V_groupXaX_byXnameX_capXaX` in class `GroupTest`

    - #### get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX

          public Traversal<Vertex,Map<String,Collection<String>>> get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()

      Specified by:
        `get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX` in class `GroupTest`

    - #### get_g_V_hasXlangX_group_byXlangX_byXcountX

          public Traversal<Vertex,Map<String,Long>> get_g_V_hasXlangX_group_byXlangX_byXcountX()

      Specified by:
        `get_g_V_hasXlangX_group_byXlangX_byXcountX` in class `GroupTest`

    - #### get_g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX()

      Specified by:
        `get_g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX` in class `GroupTest`

    - #### get_g_V_group_byXoutE_countX_byXnameX

          public Traversal<Vertex,Map<Long,Collection<String>>> get_g_V_group_byXoutE_countX_byXnameX()

      Specified by:
        `get_g_V_group_byXoutE_countX_byXnameX` in class `GroupTest`

    - #### get_g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX

          public Traversal<Vertex,Map<String,Number>> get_g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX()

      Specified by:
        `get_g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX` in class `GroupTest`

    - #### get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX()

      Specified by:
        `get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX` in class `GroupTest`

    - #### get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX()

      Specified by:
        `get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX` in class `GroupTest`

    - #### get_g_V_group_byXname_substring_1X_byXconstantX1XX

          public Traversal<Vertex,Map<String,Long>> get_g_V_group_byXname_substring_1X_byXconstantX1XX()

      Specified by:
        `get_g_V_group_byXname_substring_1X_byXconstantX1XX` in class `GroupTest`

    - #### get_g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX()

      Specified by:
        `get_g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX` in class `GroupTest`

    - #### get_g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X

          public Traversal<Vertex,String> get_g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X()

      Specified by:
        `get_g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X` in class `GroupTest`

    - #### get_g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX

          public Traversal<Vertex,Map<String,Map<String,Long>>> get_g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX()

      Specified by:
        `get_g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX` in class `GroupTest`

    - #### get_g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX

          public Traversal<Vertex,Map<String,Map<String,Long>>> get_g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX()

      Specified by:
        `get_g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX` in class `GroupTest`

    - #### get_g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX

          public Traversal<Vertex,Map<String,Map<Object,Object>>> get_g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX()

      Specified by:
        `get_g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX` in class `GroupTest`

    - #### get_g_V_group_byXbothE_countX_byXgroup_byXlabelXX

          public Traversal<Vertex,Map<Long,Map<String,List<Vertex>>>> get_g_V_group_byXbothE_countX_byXgroup_byXlabelXX()

      Specified by:
        `get_g_V_group_byXbothE_countX_byXgroup_byXlabelXX` in class `GroupTest`

    - #### get_g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX

          public Traversal<Vertex,Map<String,Map<String,Number>>> get_g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX()

      Specified by:
        `get_g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX` in class `GroupTest`

    - #### get_g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX

          public Traversal<Vertex,Map<String,String>> get_g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX()

      Specified by:
        `get_g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX` in class `GroupTest`

    - #### get_g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX

          public Traversal<Vertex,Map<String,Number>> get_g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX()

      Specified by:
        `get_g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX` in class `GroupTest`

    - #### get_g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX

          public Traversal<Vertex,Map<String,List<Object>>> get_g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX(Map<String,List<Object>> m)

      Specified by:
        `get_g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX` in class `GroupTest`

    - #### get_g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX

          public Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX()

      Specified by:
        `get_g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX` in class `GroupTest`

    - #### get_g_V_group_byXlabelX_byXlabel_countX

          public Traversal<Vertex,Map<String,Long>> get_g_V_group_byXlabelX_byXlabel_countX()

      Specified by:
        `get_g_V_group_byXlabelX_byXlabel_countX` in class `GroupTest`

    - #### get_g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX

          public Traversal<Vertex,Map<String,Long>> get_g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX()

      Specified by:
        `get_g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX` in class `GroupTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.